Loading...
Searching...
No Matches
Opm::Air< Scalar > Class Template Reference

A simple class implementing the fluid properties of air. More...

`#include <Air.hpp>`

Inheritance diagram for Opm::Air< Scalar >:

## Static Public Member Functions

static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the .
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static Scalar | molarMass ()
| The molar mass in of .
static Scalar | criticalTemperature ()
| Returns the critical temperature of .
static Scalar | criticalPressure ()
| Returns the critical pressure of .
template<class Evaluation>
static Evaluation | gasDensity (const Evaluation &temperature, const Evaluation &pressure)
| The density of at a given pressure and temperature [kg/m^3].
template<class Evaluation>
static Evaluation | gasPressure (const Evaluation &temperature, Scalar density)
| The pressure of gaseous at a given density and temperature .
template<class Evaluation>
static Evaluation | gasViscosity (const Evaluation &temperature, const Evaluation &)
| The dynamic viscosity of at a given pressure and temperature.
template<class Evaluation>
static Evaluation | simpleGasViscosity (const Evaluation &temperature, const Evaluation &)
template<class Evaluation>
static Evaluation | gasEnthalpy (const Evaluation &temperature, const Evaluation &)
| Specific enthalpy of liquid water with 273.15 K as basis.
template<class Evaluation>
static Evaluation | gasInternalEnergy (const Evaluation &temperature, const Evaluation &pressure)
| Specific internal energy of .
template<class Evaluation>
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Specific heat conductivity of steam .
template<class Evaluation>
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of pure air.
Static Public Member Functions inherited from Opm::Component< Scalar, Air< Scalar > >
static void | init (Scalar, Scalar, unsigned, Scalar, Scalar, unsigned)
| A default routine for initialization, not needed for components and must not be called.
static bool | gasIsCompressible ()
| Returns true iff the gas phase is assumed to be compressible.
static bool | gasIsIdeal ()
| Returns true iff the gas phase is assumed to be ideal.
static bool | liquidIsCompressible ()
| Returns true iff the liquid phase is assumed to be compressible.
static std::string_view | name ()
| A human readable name for the component.
static Scalar | molarMass ()
| The molar mass in of the component.
static Scalar | criticalTemperature ()
| Returns the critical temperature in of the component.
static Scalar | criticalPressure ()
| Returns the critical pressure in of the component.
static Scalar | acentricFactor ()
| Returns the acentric factor of the component.
static Scalar | criticalVolume ()
| Returns the critical volume in of the component.
static Scalar | tripleTemperature ()
| Returns the temperature in at the component's triple point.
static Scalar | triplePressure ()
| Returns the pressure in at the component's triple point.
static Evaluation | vaporPressure (const Evaluation &)
| The vapor pressure in of the component at a given temperature in .
static Evaluation | gasDensity (const Evaluation &, const Evaluation &)
| The density in of the component at a given pressure in and temperature in .
static Evaluation | liquidDensity (const Evaluation &, const Evaluation &)
| The density of the liquid component at a given pressure in and temperature in .
static Evaluation | gasEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in gas.
static Evaluation | liquidEnthalpy (const Evaluation &, const Evaluation &)
| Specific enthalpy of the pure component in liquid.
static Evaluation | gasInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of the pure component in gas.
static Evaluation | liquidInternalEnergy (const Evaluation &, const Evaluation &)
| Specific internal energy of pure the pure component in liquid.
static Evaluation | gasViscosity (const Evaluation &, const Evaluation &)
| The dynamic viscosity of the pure component at a given pressure in and temperature in .
static Evaluation | liquidViscosity (const Evaluation &, const Evaluation &)
| The dynamic liquid viscosity of the pure component.
static Evaluation | gasThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a gas.
static Evaluation | liquidThermalConductivity (const Evaluation &, const Evaluation &)
| Thermal conductivity of the component [W/(m^2 K/m)] as a liquid.
static Evaluation | gasHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a gas.
static Evaluation | liquidHeatCapacity (const Evaluation &, const Evaluation &)
| Specific isobaric heat capacity of the component [J/kg] as a liquid.

## Additional Inherited Members

Public Types inherited from Opm::Component< Scalar, Air< Scalar > >
typedef Scalar | Scalar
Static Public Attributes inherited from Opm::Component< Scalar, Air< Scalar > >
static constexpr bool | isTabulated

## Detailed Description

template<class Scalar>
class Opm::Air< Scalar >

A simple class implementing the fluid properties of air.

Template Parameters

  Scalar | The type used for scalar values

## Member Function Documentation

## gasDensity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Air< Scalar >::gasDensity | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

The density of at a given pressure and temperature [kg/m^3].

Parameters

  temperature | temperature of component in
  pressure | pressure of phase in

## gasEnthalpy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Air< Scalar >::gasEnthalpy | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

Specific enthalpy of liquid water with 273.15 K as basis.

See: W. Kays, M. Crawford, B. Weigand Convective heat and mass transfer, 4th edition (2005) p. 431ff

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasHeatCapacity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Air< Scalar >::gasHeatCapacity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific isobaric heat capacity of pure air.

This methods uses the formula for "zero-pressure" heat capacity that is only dependent on temperature, because the pressure dependence is rather small. This one should be accurate for a pressure of 1 atm. Values taken from NASA Contractor Report 4755, Real-Gas Flow Properties for NASA Langley Research Center Aerothermodynamic Facilities Complex Wind Tunnels using data from Hilsenrath et al 1955, "Tables of Thermal Properties of Gases"

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasInternalEnergy()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Air< Scalar >::gasInternalEnergy | ( | const Evaluation & | temperature,
|  | const Evaluation & | pressure )

inline static

Specific internal energy of .

Definition of enthalpy: . Rearranging for internal energy yields: . Exploiting the Ideal Gas assumption ( )gives: .

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasPressure()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Air< Scalar >::gasPressure | ( | const Evaluation & | temperature,
|  | Scalar | density )

inline static

The pressure of gaseous at a given density and temperature .

Parameters

  temperature | temperature of component in
  density | density of component in

## gasThermalConductivity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Air< Scalar >::gasThermalConductivity | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Specific heat conductivity of steam .

Isobaric Properties for Nitrogen in: NIST Standard Reference Database Number 69, Eds. P.J. Linstrom and W.G. Mallard evaluated at p=.1 MPa, T=8°C, does not change dramatically with p,T

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

## gasViscosity()

template<class Scalar>
template<class Evaluation>

Evaluation Opm::Air< Scalar >::gasViscosity | ( | const Evaluation & | temperature,
|  | const Evaluation & | )

inline static

The dynamic viscosity of at a given pressure and temperature.

Parameters

  temperature | temperature of component in
  pressure | pressure of component in

See:

See: R. Reid, et al.: The Properties of Gases and Liquids, 4th edition, McGraw-Hill, 1987, pp 396-397, 667 5th edition, McGraw-Hill, 2001, pp 9.7-9.8

accentric factor taken from: Journal of Energy Resources Technology, March 2005, Vol 127 Formulation for the Thermodynamic Properties Georeg A. Abediyi University, Mississippi State

V_c = (R*T_c)/p_c

## molarMass()

template<class Scalar>

Scalar Opm::Air< Scalar >::molarMass | ( |  | ) |

inline static

The molar mass in of .

Taken from constrelair.hh.

The documentation for this class was generated from the following file:

- opm/material/components/Air.hpp